export default class AddContentSourceStepComponent {
    workflow: any;

    static config = {
        selector: 'addContentSourceStep',
        template: `
            <div layout="column">
                <md-input-container md-is-error="$ctrl.workflow.hasError('url')">
                    <label>{{::$ctrl.AddContentTranslate.get('add-content-workflow__source-step--url')}}</label>
                    <input name="url" ng-model="$ctrl.workflow.addContent.url" required="required" ng-disabled="$ctrl.workflow.loading" />
                    <div class="md-errors-spacer"></div>
                    <div ng-messages="$ctrl.workflow.validationErrors">
                        <div ng-message="url">{{$ctrl.AddContentTranslate.get($ctrl.workflow.validationErrors.url)}}</div>
                    </div>
                </md-input-container>
            </div>
        `,
        controller: AddContentSourceStepComponent,
        bindings: {
            workflow: '<'
        }
    };

    /*@ngInject*/
    constructor(
        private AddContentTranslate
    ) {

    }

    $onInit() {
        this.workflow.addContent.url = this.workflow.addContent.url || '';
    }

}
